io.vertx.rxjava.ext.mail

## Class MailClient

- java.lang.Object
- - io.vertx.rxjava.ext.mail.MailClient

- Direct Known Subclasses:
    MailService

      public class MailClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailClient(MailClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static MailClient` | `createNonShared(Vertx vertx, MailConfig config)`
    `static MailClient` | `createShared(Vertx vertx, MailConfig config)`
    `static MailClient` | `createShared(Vertx vertx, MailConfig config, String poolName)`
    `Object` | `getDelegate()`
    `static MailClient` | `newInstance(MailClient arg)`
    `MailClient` | `sendMail(MailMessage arg0, Handler<AsyncResult<MailResult>> arg1)`
    `rx.Observable<MailResult>` | `sendMailObservable(MailMessage arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailClient

          public MailClient(MailClient delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### createNonShared

          public static MailClient createNonShared(Vertx vertx,
                                                   MailConfig config)

    - #### createShared

          public static MailClient createShared(Vertx vertx,
                                                MailConfig config,
                                                String poolName)

    - #### createShared

          public static MailClient createShared(Vertx vertx,
                                                MailConfig config)

    - #### sendMail

          public MailClient sendMail(MailMessage arg0,
                                     Handler<AsyncResult<MailResult>> arg1)

    - #### sendMailObservable

          public rx.Observable<MailResult> sendMailObservable(MailMessage arg0)

    - #### close

          public void close()

    - #### newInstance

          public static MailClient newInstance(MailClient arg)

Copyright © 2015. All rights reserved.